# Image Field Caption

Adds an extra text area for captions on image fields.
Similar to the alt and title text fields available with an image field,
the caption text area can be used to enter text or html descriptions of an image.

For a full description of the module, visit the
[Image Field Caption](https://www.drupal.org/project/image_field_caption).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/image_field_caption).

## Table of contents

- Requirements
- Installation
- Usage
- Configuration
- Troubleshooting
- Caption Theme
- Caption CSS
- Maintainers

## Requirements

This module requires no modules outside of Drupal core.

## Installation

  1. Download the module.
  2. Upload module to the modules/contribs folder.
  3. Enable the module.
  4. Flush all of Drupal's caches.


## Usage

  1. Add a new image field to a content type, or use an existing image field and 
    set the field format to "Image with caption" on the "Manage display" tab.
  2. Add or edit a node or any other entity with an image field.
  3. Go to the image field on the entity form.
  4. Enter text into the caption text area and choose format.
  5. Save the entity.
  6. View the entity to see your image field caption.   
      

## Configuration

  The configuration is only done on a per field basis.

## Troubleshooting

If the text area does not display under the image field, Try to clear the cache

## Caption Theme

  By default, an image field's caption will be rendered below the image. 
  To customize the image caption display,
  copy the image-caption-formatter.html.twig file
  to your theme's directory and adjust the html for your needs. 
  Flush Drupal's theme registry cache to have
  it recognize your theme's new file:

  themes/custom/MY_THEME/image-caption-formatter.html.twig

## Caption CSS

  To make changes to the caption css, use this CSS selector:

  blockquote.image-field-caption { /* add custom css here */ }

## Maintainers

- Tyler Struyk - [iStryker](https://www.drupal.org/u/istryker)
